For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETGet asset tree
      • POSTCreate an asset
      • PATCHUpdate asset
      • GETList asset-rate bracket relations
      • POSTCreate/update asset-rate bracket relations
      • GETGet asset hierarchy structure
      • GETGet asset rate bracket ID mappings
      • GETGet asset tree
      • GETGet organisations by product
Calculator
LogoLogo
EndpointsAssets

Get asset tree

GET
https://api.finput.com.au/api/v1/assets/search
GET
/api/v1/assets/search
$curl https://api.finput.com.au/api/v1/assets/search \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 1,
4 "name": "name",
5 "alias": "alias",
6 "is_asset": true,
7 "rate_brackets": [
8 {}
9 ]
10 }
11]
Returns the full asset tree with expanded alias information.
Was this page helpful?
Previous

Get organisations by product

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Asset tree with aliases
idinteger
namestring
aliasstring
is_assetbooleanDefaults to false
rate_bracketslist of objects
childrenlist of objects